require "rolify_hier/engine"

module RolifyHier
	def self.config(&block)
		class_eval(&block)
	end
	
	def self.role(name)
		HierRole[name.to_sym]
	end
	
	# means 'has role hierarchically?'
	def hier_role?(role_name)
		hier_roles.has_role? role_name
	end
	
	def hier_roles
		roles = roles(:select => :name).collect( HierRole[&:name] )
		HierRoles.new roles
	end
end
