module RolifyHier
	class HierRoles
		attr_reader :roles
		
		def initialize(hier_role_list)
			@roles = hier_role_list
		end

		def has_role?(role_name)
			reachable_roles.each do |e|
				return true if e.name == role_name
			end
			false
		end

		def reachable_roles
			list = []
			@roles.each do |e|
				list += e.reachable_roles
			end
			list
		end
	end
end